Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Failed to emerge tensorflow 1.9.0(solved)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Bigun
Advocate
Advocate


Joined: 21 Sep 2003
Posts: 2133

PostPosted: Tue Jul 10, 2018 11:12 pm    Post subject: Failed to emerge tensorflow 1.9.0(solved) Reply with quote

Code:
 # emerge -vp tensorflow

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ~] sci-libs/tensorflow-1.9.0_rc2::gentoo  USE="cuda python -jemalloc -mpi -system-libs" CPU_FLAGS_X86="sse sse2 -avx -avx2 -fma3 -fma4 -sse3 -sse4_1 -sse4_2" PYTHON_TARGETS="python2_7 python3_5 -python3_6" 0 KiB


emerge --info
Code:
Portage 2.3.40 (python 2.7.14-final-0, default/linux/amd64/17.0, gcc-6.4.0, glibc-2.26-r7, 4.14.52-gentoo x86_64)
=================================================================
System uname: Linux-4.14.52-gentoo-x86_64-Intel-R-_Xeon-R-_CPU_X3430_@_2.40GHz-with-gentoo-2.4.1
KiB Mem:    16421176 total,  11113580 free
KiB Swap:     979388 total,    979388 free
Timestamp of repository gentoo: Tue, 10 Jul 2018 07:00:01 +0000
Head commit of repository gentoo: ee3fb1f4c337ca7ef8a39c53beed512144619c44
sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.24.3-r1::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.5.5::gentoo, 3.6.5::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.69-r4::gentoo
sys-devel/automake:       1.15.1-r2::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo, 2.30-r2::gentoo
sys-devel/gcc:            6.4.0-r1::gentoo, 7.3.0-r3::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.26-r7::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts:
    sync-rsync-verify-max-age: 24

x-portage
    location: /usr/local/portage
    masters: gentoo
    priority: 0

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -mtune=generic -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.1/ext-active/ /etc/php/cgi-php7.1/ext-active/ /etc/php/cli-php7.1/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=core2 -mtune=generic -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X acl amd64 apache2 berkdb bzip2 cli corefonts crypt cuda cxx debugger dri fortran gd gdbm icarus iconv ipv6 libtirpc mmx modules multilib mysqli ncurses nls nptl openmp pam pcre php png readline seccomp sse sse2 ssl tcpd truetype unicode vhosts x264 xattr zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon plan sheets stage words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-1" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5" RUBY_TARGETS="ruby23" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


Code:
Loading: 0 packages loaded
    currently loading: tensorflow/tools/pip_package
Analyzing: target //tensorflow/tools/pip_package:build_pip_package (1 packages loaded)
ERROR: /var/tmp/portage/sci-libs/tensorflow-1.9.0_rc2/work/tensorflow-1.9.0-rc2-python2_7/third_party/py/numpy/BUILD:11:1: no such package '@local_config_python//': Traceback (most recent call last):
        File "/var/tmp/portage/sci-libs/tensorflow-1.9.0_rc2/work/tensorflow-1.9.0-rc2-python2_7/third_party/py/python_configure.bzl", line 308
                _create_local_python_repository(repository_ctx)
        File "/var/tmp/portage/sci-libs/tensorflow-1.9.0_rc2/work/tensorflow-1.9.0-rc2-python2_7/third_party/py/python_configure.bzl", line 272, in _create_local_python_repository
                _get_numpy_include(repository_ctx, python_bin)
        File "/var/tmp/portage/sci-libs/tensorflow-1.9.0_rc2/work/tensorflow-1.9.0-rc2-python2_7/third_party/py/python_configure.bzl", line 256, in _get_numpy_include
                _execute(repository_ctx, [python_bin, "-c",..."], <2 more arguments>)
        File "/var/tmp/portage/sci-libs/tensorflow-1.9.0_rc2/work/tensorflow-1.9.0-rc2-python2_7/third_party/py/python_configure.bzl", line 55, in _execute
                _fail("\n".join([error_msg.strip() if ... ""]))
        File "/var/tmp/portage/sci-libs/tensorflow-1.9.0_rc2/work/tensorflow-1.9.0-rc2-python2_7/third_party/py/python_configure.bzl", line 28, in _fail
                fail(("%sPython Configuration Error:%...)))
Python Configuration Error: Problem getting numpy include path.
Traceback (most recent call last):
  File "<string>", line 1, in <module>
ImportError: No module named numpy
Is numpy installed?
 and referenced by '//third_party/py/numpy:headers'
ERROR: Analysis of target '//tensorflow/tools/pip_package:build_pip_package' failed; build aborted: Loading failed
INFO: Elapsed time: 178.621s
INFO: 0 processes.
FAILED: Build did NOT complete successfully (142 packages loaded)
FAILED: Build did NOT complete successfully (142 packages loaded)
 * ERROR: sci-libs/tensorflow-1.9.0_rc2::gentoo failed (compile phase):
 *   (no error message)
 *
 * Call stack:
 *     ebuild.sh, line  124:  Called src_compile
 *   environment, line 4748:  Called python_foreach_impl 'run_in_build_dir' 'do_compile'
 *   environment, line 4141:  Called multibuild_foreach_variant '_python_multibuild_wrapper' 'run_in_build_dir' 'do_compile'
 *   environment, line 3297:  Called _multibuild_run '_python_multibuild_wrapper' 'run_in_build_dir' 'do_compile'
 *   environment, line 3295:  Called _python_multibuild_wrapper 'run_in_build_dir' 'do_compile'
 *   environment, line  899:  Called run_in_build_dir 'do_compile'
 *   environment, line 4692:  Called do_compile
 *   environment, line 4746:  Called ebazel 'build' '//tensorflow/tools/pip_package:build_pip_package'
 *   environment, line 1939:  Called die
 * The specific snippet of code:
 *       bazel --output_base="${output_base}" $@ || die
 *
 * If you need support, post the output of `emerge --info '=sci-libs/tensorflow-1.9.0_rc2::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=sci-libs/tensorflow-1.9.0_rc2::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/sci-libs/tensorflow-1.9.0_rc2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sci-libs/tensorflow-1.9.0_rc2/temp/environment'.
 * Working directory: '/var/tmp/portage/sci-libs/tensorflow-1.9.0_rc2/work/tensorflow-1.9.0-rc2-python2_7'
 * S: '/var/tmp/portage/sci-libs/tensorflow-1.9.0_rc2/work/tensorflow-1.9.0-rc2'

_________________
"It's ok, they might have guns but we have flowers." - Perpetual Victim


Last edited by Bigun on Fri Jul 13, 2018 5:12 pm; edited 2 times in total
Back to top
View user's profile Send private message
ali3nx
Guru
Guru


Joined: 21 Sep 2003
Posts: 553
Location: Winnipeg, Canada

PostPosted: Tue Jul 10, 2018 11:20 pm    Post subject: Reply with quote

The source of the problem appears to be hardcoded python targets in make.conf

Code:
PYTHON_SINGLE_TARGET="python3_5"
PYTHON_TARGETS="python2_7 python3_5"


Code:
Python Configuration Error: Problem getting numpy include path.
Traceback (most recent call last):
  File "<string>", line 1, in <module>
ImportError: No module named numpy
Is numpy installed?
 and referenced by '//third_party/py/numpy:headers'


numpy is not available within any of the current python version paths
_________________
Compiling Gentoo since version 1.4
Thousands of Gentoo Installs Completed
Emerged on every continent but Antarctica
Compile long and Prosper!
Back to top
View user's profile Send private message
Bigun
Advocate
Advocate


Joined: 21 Sep 2003
Posts: 2133

PostPosted: Wed Jul 11, 2018 1:06 am    Post subject: Reply with quote

ali3nx wrote:
The source of the problem appears to be hardcoded python targets in make.conf

Code:
PYTHON_SINGLE_TARGET="python3_5"
PYTHON_TARGETS="python2_7 python3_5"


Code:
Python Configuration Error: Problem getting numpy include path.
Traceback (most recent call last):
  File "<string>", line 1, in <module>
ImportError: No module named numpy
Is numpy installed?
 and referenced by '//third_party/py/numpy:headers'


numpy is not available within any of the current python version paths


/etc/make.conf:
Code:
# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
CFLAGS="-march=core2 -mtune=generic -O2 -pipe"
CXXFLAGS="${CFLAGS}"
# WARNING: Changing your CHOST is not something that should be done lightly.
# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
CHOST="x86_64-pc-linux-gnu"
MAKEOPTS="-j5"
#MAKEOPTS="-j1"
ACCEPT_KEYWORDS="amd64"
# These are the USE flags that were used in addition to what is provided by the
# profile used for building.
USE="X apache2 corefonts cuda debugger gd icarus mmx mysqli php png sse sse2
     truetype vhosts x264 -alsa -cups"
ACCEPT_LICENSE="*"
PORTDIR_OVERLAY="/usr/local/portage"
PHP_TARGETS="php7-1"

# Set PORTDIR for backward compatibility with various tools:
#   gentoo-bashcomp - bug #478444
#   euse - bug #474574
#   euses and ufed - bug #478318
PORTDIR="/usr/portage"


I don't see where this is set, could it be set somewhere else?

*edit*

Is that set here?

Code:
# eselect python list
Available Python interpreters, in order of preference:
  [1]   python2.7
  [2]   python3.5
  [3]   python3.4 (uninstalled)
  [4]   python3.6 (fallback)


If so, is there some kind of upgrade guide to get off of 2.7 to either 3.5 or 3.6? I know Gentoo well enough to know it's not as simple as setting it and moving on.
_________________
"It's ok, they might have guns but we have flowers." - Perpetual Victim
Back to top
View user's profile Send private message
ct85711
Veteran
Veteran


Joined: 27 Sep 2005
Posts: 1587

PostPosted: Wed Jul 11, 2018 3:02 am    Post subject: Reply with quote

Sadly, there is some key packages that was never updated to support python-3, or like asciidoc abandoned on moving away from python-2.7. Supposedly the devs moved on, and make a new version in rub (asciidoctor) and you get to enjoy having that entire mess along with the usual python mess. Or there is a branch of asciidoc called asciidoc3 written in python-3, but the devs haven't made a ebuild to add it to portage. Either case on those 2, the ebuilds/eclasses also need to be updated before python-2.7 can be cleaned off. The few other packages that is strictly 2.7, I don't know what is going on if they'll get replaced/updated...
Back to top
View user's profile Send private message
Bigun
Advocate
Advocate


Joined: 21 Sep 2003
Posts: 2133

PostPosted: Wed Jul 11, 2018 7:27 pm    Post subject: Reply with quote

Ok, for everyone else's benefit, I've set python3_6 as my default build by adding the following to my make.conf:

Code:
PYTHON_TARGETS="python2_7 python3_6"
PYTHON_SINGLE_TARGET="python3_6"


Then:

Code:
emerge --depclean
emerge -lvUD @world
emerge --depclean


It emerged, now I have a new issue.

Code:
$ python3.6 gpu_test.py
Traceback (most recent call last):
  File "gpu_test.py", line 1, in <module>
    import tensorflow as tf
  File "/usr/lib64/python3.6/site-packages/tensorflow/__init__.py", line 22, in <module>
    from tensorflow.python import pywrap_tensorflow  # pylint: disable=unused-import
  File "/usr/lib64/python3.6/site-packages/tensorflow/python/__init__.py", line 52, in <module>
    from tensorflow.core.framework.graph_pb2 import *
  File "/usr/lib64/python3.6/site-packages/tensorflow/core/framework/graph_pb2.py", line 6, in <module>
    from google.protobuf import descriptor as _descriptor
ModuleNotFoundError: No module named 'google'


The above python script imports a few tensorflow libraries and then does a simple test to make sure the GPU is working. It also seems to fail with anything else that loads the tensorflow libraries.
_________________
"It's ok, they might have guns but we have flowers." - Perpetual Victim
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19043
Location: here

PostPosted: Wed Jul 11, 2018 8:21 pm    Post subject: Reply with quote

You installed dev-python/protobuf-python package?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Bigun
Advocate
Advocate


Joined: 21 Sep 2003
Posts: 2133

PostPosted: Wed Jul 11, 2018 10:58 pm    Post subject: Reply with quote

fedeliallalinea wrote:
You installed dev-python/protobuf-python package?


It wasn't installed, after installing, I got a different set of issues crop up.

After running the same gpu test script:

Code:
$ python3.6 gpu_test.py
2018-07-11 18:56:26.224655: I tensorflow/core/platform/cpu_feature_guard.cc:141] Your CPU supports instructions that this TensorFlow binary was not compiled
2018-07-11 18:56:26.241580: E tensorflow/stream_executor/cuda/cuda_driver.cc:397] failed call to cuInit: CUDA_ERROR_UNKNOWN
2018-07-11 18:56:26.241667: I tensorflow/stream_executor/cuda/cuda_diagnostics.cc:163] retrieving CUDA diagnostic information for host: pwnedclips
2018-07-11 18:56:26.241687: I tensorflow/stream_executor/cuda/cuda_diagnostics.cc:170] hostname: pwnedclips
2018-07-11 18:56:26.241751: I tensorflow/stream_executor/cuda/cuda_diagnostics.cc:194] libcuda reported version is: 396.24.0
2018-07-11 18:56:26.241821: I tensorflow/stream_executor/cuda/cuda_diagnostics.cc:198] kernel reported version is: 396.24.0
2018-07-11 18:56:26.241840: I tensorflow/stream_executor/cuda/cuda_diagnostics.cc:305] kernel version seems to match DSO: 396.24.0
Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/tensorflow/python/client/session.py", line 1278, in _do_call
    return fn(*args)
  File "/usr/lib64/python3.6/site-packages/tensorflow/python/client/session.py", line 1261, in _run_fn
    self._extend_graph()
  File "/usr/lib64/python3.6/site-packages/tensorflow/python/client/session.py", line 1295, in _extend_graph
    tf_session.ExtendSession(self._session)
tensorflow.python.framework.errors_impl.InvalidArgumentError: Cannot assign a device for operation 'MatMul': Operation was explicitly assigned to /device:GPUake sure the device specification refers to a valid device.
         [[Node: MatMul = MatMul[T=DT_FLOAT, transpose_a=false, transpose_b=false, _device="/device:GPU:0"](a, b)]]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "gpu_test.py", line 8, in <module>
    print (sess.run(c))
  File "/usr/lib64/python3.6/site-packages/tensorflow/python/client/session.py", line 877, in run
    run_metadata_ptr)
  File "/usr/lib64/python3.6/site-packages/tensorflow/python/client/session.py", line 1100, in _run
    feed_dict_tensor, options, run_metadata)
  File "/usr/lib64/python3.6/site-packages/tensorflow/python/client/session.py", line 1272, in _do_run
    run_metadata)
  File "/usr/lib64/python3.6/site-packages/tensorflow/python/client/session.py", line 1291, in _do_call
    raise type(e)(node_def, op, message)
tensorflow.python.framework.errors_impl.InvalidArgumentError: Cannot assign a device for operation 'MatMul': Operation was explicitly assigned to /device:GPUake sure the device specification refers to a valid device.
         [[Node: MatMul = MatMul[T=DT_FLOAT, transpose_a=false, transpose_b=false, _device="/device:GPU:0"](a, b)]]

Caused by op 'MatMul', defined at:
  File "gpu_test.py", line 5, in <module>
    c = tf.matmul(a, b)
  File "/usr/lib64/python3.6/site-packages/tensorflow/python/ops/math_ops.py", line 2014, in matmul
    a, b, transpose_a=transpose_a, transpose_b=transpose_b, name=name)
  File "/usr/lib64/python3.6/site-packages/tensorflow/python/ops/gen_math_ops.py", line 4456, in mat_mul
    name=name)
  File "/usr/lib64/python3.6/site-packages/tensorflow/python/framework/op_def_library.py", line 787, in _apply_op_helper
    op_def=op_def)
  File "/usr/lib64/python3.6/site-packages/tensorflow/python/util/deprecation.py", line 432, in new_func
    return func(*args, **kwargs)
  File "/usr/lib64/python3.6/site-packages/tensorflow/python/framework/ops.py", line 3212, in create_op
    op_def=op_def)
  File "/usr/lib64/python3.6/site-packages/tensorflow/python/framework/ops.py", line 1702, in __init__
    self._traceback = self._graph._extract_stack()  # pylint: disable=protected-access

InvalidArgumentError (see above for traceback): Cannot assign a device for operation 'MatMul': Operation was explicitly assigned to /device:GPU:0 but availabevice specification refers to a valid device.
         [[Node: MatMul = MatMul[T=DT_FLOAT, transpose_a=false, transpose_b=false, _device="/device:GPU:0"](a, b)]]


So it looks like it can't find the GPU, so I run nvidia-smi to see if it can see the card:

Code:
$ nvidia-smi
Failed to initialize NVML: Insufficient Permissions


When I run nvidia-smi as root:
Code:
# /opt/bin/nvidia-smi
Wed Jul 11 18:52:55 2018
+-----------------------------------------------------------------------------+
| NVIDIA-SMI 396.24                 Driver Version: 396.24                    |
|-------------------------------+----------------------+----------------------+
| GPU  Name        Persistence-M| Bus-Id        Disp.A | Volatile Uncorr. ECC |
| Fan  Temp  Perf  Pwr:Usage/Cap|         Memory-Usage | GPU-Util  Compute M. |
|===============================+======================+======================|
|   0  GeForce GTX 660     Off  | 00000000:01:00.0 N/A |                  N/A |
| 30%   40C    P0    N/A /  N/A |      0MiB /  3018MiB |     N/A      Default |
+-------------------------------+----------------------+----------------------+

+-----------------------------------------------------------------------------+
| Processes:                                                       GPU Memory |
|  GPU       PID   Type   Process name                             Usage      |
|=============================================================================|
|    0                    Not Supported                                       |
+-----------------------------------------------------------------------------+

_________________
"It's ok, they might have guns but we have flowers." - Perpetual Victim
Back to top
View user's profile Send private message
Bigun
Advocate
Advocate


Joined: 21 Sep 2003
Posts: 2133

PostPosted: Fri Jul 13, 2018 11:13 am    Post subject: Reply with quote

Ok, found the problem... I don't like it but here's what happened.

First issue was adding my regular user to the video group, that solved the permission issue.

Code:
usermod -a -G <group> <user>


Then I found some code to list available devices:

Code:
from tensorflow.python.client import device_lib
print(device_lib.list_local_devices())


I did not like what I saw:

Code:
2018-07-13 07:09:08.582809: I tensorflow/core/common_runtime/gpu/gpu_device.cc:1404] Found device 0 with properties:
name: GeForce GTX 660 major: 3 minor: 0 memoryClockRate(GHz): 1.137
pciBusID: 0000:01:00.0
totalMemory: 2.95GiB freeMemory: 2.91GiB
2018-07-13 07:09:08.582843: I tensorflow/core/common_runtime/gpu/gpu_device.cc:1454] Ignoring visible gpu device (device: 0, name: GeForce GTX 660, pci bus id: 0000:01:00.0, compute capability: 3.0) with Cuda compute capability 3.0. The minimum required Cuda capability is 3.5.


So it looks like a degrade of tensorflow until I can afford another card.

Or do I have that wrong and it's based on the cuda or cudnn version?
_________________
"It's ok, they might have guns but we have flowers." - Perpetual Victim
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum